Bug 1021657 - While upgrading Satellite server, schema upgrade fails at "drop index rhn_url_probe_pid_ptype_idx" with error "ORA-02429: cannot drop index used for enforcement of unique/primary key"
While upgrading Satellite server, schema upgrade fails at "drop index rhn_url...
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
560
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks: sat560-triage
  Show dependency treegraph
 
Reported: 2013-10-21 14:02 EDT by hmiles
Modified: 2018-04-10 04:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-10 04:28:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 228683 None None None Never

  None (edit)
Description hmiles 2013-10-21 14:02:52 EDT
Description of problem:

While upgrading satellite server schema from Satellite with external Oracle database to version 5.6, schema upgrade failed with:

'SATELLITE-SCHEMA-5.4-TO-SATELLITE-SCHEMA-5.5/222-RHN_URL_PROBE-INDEXES.SQL.ORACL
---------------------------------------------------------------------------------
satellite-schema-5.4-to-satellite-schema-5.5/222-rhn_url_probe-indexes.sql.oracle

drop index rhn_url_probe_pid_ptype_idx
           *
ERROR at line 1:
ORA-02429: cannot drop index used for enforcement of unique/primary key


Version-Release number of selected component (if applicable):
Satellite 5.6

How reproducible:
(uncertain, like with the other similar bugs (987183, 877299, or 875672) the error occurs with only some external Oracle instances, and not yet replicated in-house)

Steps to Reproduce:
1. Upgrade Satellite 5.3 with external Oracle database to Satellite 5.6
2.
3.

Actual results:
Fails with error above.

Expected results:
Succeeds.

Additional info:
This is similar to the other known issues for similar indexes (rhn_eclonedtmp_teid_feid_idx, rhn_ug_id_name_org, rhn_sg_id_oid_name_idx), please refer to Knowledgebase solution for details and workaround https://access.redhat.com/site/solutions/228683

Please note that if customer is running into the same ORA-02429 error but with another object not listed on the above solution, file a new Bugzilla from the support case so it can be looked into, confirmed whether the same workaround applies, and addressed properly.
Comment 1 Xixi 2013-10-22 11:05:45 EDT
Looking at https://lists.fedorahosted.org/pipermail/spacewalk-commits/2010-October/007036.html, it's another index that's being dropped as it's no longer needed.  So similar to the others listed in https://access.redhat.com/site/solutions/228683, should be okay to leave it there for now as a workaround (and as noted in kbase, customer will want to make a note for the future so when the long-term fix is available they can then apply steps and get back to the official schema).
Comment 4 Tomas Lestach 2018-04-10 04:28:38 EDT
We have re-reviewed this bug, as part of an ongoing effort to improve Satellite/Proxy feature and bug updates, review and backlog.

This bug has currently no open customer cases. While this bug may still valid, we do not see it being implemented prior to the EOL of the Satellite 5.x product. As such, this is being CLOSED DEFERRED.

Note You need to log in before you can comment on or make changes to this bug.